﻿/*
 * lcdh.cpp
 *
 * Created: 2013-01-25 오후 4:00:01
 *  Author: 강건일
 */ 



        //파일명 :LCD.h -lcd 제어 모듈의 헤더 화일
        //작성 :k-bell kangkeonil

        #ifndef __LCD_H__
        #define __LCD_H__

        //LCD 제어 명령

        #define ALLCLR                 0x01  //화면 지운다
        #define HOME                   0x02  //홈으로 보낸다
        #define LN21                   0xc0  //2번째 라인 첫번째 위치


        #define ENTMOD                 0x06  // enter mode
        #define FUNSET                 0x28
        #define DISP_ON                0x0c
        #define DISP_OFF               0x08
        #define CURSOR_ON              0x0e
        #define CURSOR_OFF             0x0c
        #define CURSOR_LSHIFT          0x10
        #define CURSOR_RSHIFT          0x14
        #define DISP_LSHIFT            0x18
        #define DISP_RSHIFT            0x1c

        //LCD 제어 모듈 함수
        void  LcdInit (void);
        void  LcdCommand (char command);
        void  LcdMove (char line, char pos);
        void  LcdPutchar (char ch);
        void  LcdPuts (char* str);

        #endif  ////TODO:: Please write your application code 
    